Bug 962207 - [abrt] system-config-printer-1.4.1-1.fc19: newprinter.py:3885:on_btnNPApply_clicked:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 1: ordinal not in range(128)
[abrt] system-config-printer-1.4.1-1.fc19: newprinter.py:3885:on_btnNPApply_c...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:9161bab9c5673f42ad231a759fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 10:47 EDT by Jacek Pawlyta
Modified: 2013-05-26 23:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.1-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-26 23:18:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (628 bytes, text/plain)
2013-05-12 10:47 EDT, Jacek Pawlyta
no flags Details
File: environ (2.68 KB, text/plain)
2013-05-12 10:47 EDT, Jacek Pawlyta
no flags Details

  None (edit)
Description Jacek Pawlyta 2013-05-12 10:47:28 EDT
Version-Release number of selected component:
system-config-printer-1.4.1-1.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
core_backtrace: 3473e35607d9b7dd9153d2ce3b768a57d988214d 0xf2d on_btnNPApply_clicked /usr/share/system-config-printer/newprinter.py -
dso_list:       system-config-printer-libs-1.4.1-1.fc19.noarch
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.9.1-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
newprinter.py:3885:on_btnNPApply_clicked:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 1: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/share/system-config-printer/newprinter.py", line 3885, in on_btnNPApply_clicked
    location = unicode (self.entNPLocation.get_text())
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 1: ordinal not in range(128)

Local variables in innermost frame:
widget: <Button object at 0x24ae140 (GtkButton at 0x2881ba0)>
name: u'HP-LaserJet-1020'
self: <NewPrinterGUI object at 0x249fdc0 (newprinter+NewPrinterGUI at 0x26be2c0)>
Comment 1 Jacek Pawlyta 2013-05-12 10:47:32 EDT
Created attachment 746876 [details]
File: backtrace
Comment 2 Jacek Pawlyta 2013-05-12 10:47:34 EDT
Created attachment 746877 [details]
File: environ
Comment 3 Tim Waugh 2013-05-21 12:10:29 EDT
Fixed upstream in commit ffba250.
Comment 4 Fedora Update System 2013-05-22 04:32:40 EDT
system-config-printer-1.4.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.1-3.fc19
Comment 5 Fedora Update System 2013-05-22 18:35:31 EDT
Package system-config-printer-1.4.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.1-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8818/system-config-printer-1.4.1-3.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-05-26 23:18:59 EDT
system-config-printer-1.4.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.